FROM onedev.site.tesses.net/crosslang/crosslangextras/crosslangextras:latest AS build

COPY . /src

WORKDIR /src

RUN crosslang build

FROM onedev.site.tesses.net/crosslang/crosslang:latest

COPY --from=build /src/bin/PostBoard-1.0.0.0-prod.crvm /post.crvm

WORKDIR /data

EXPOSE 4210

ENTRYPOINT ["crossvm","/post.crvm"]